LibreOffice: cppu::PartialWeakComponentImplHelper4< Ifc1, Ifc2, Ifc3, Ifc4 > Class Template Reference

LibreOffice LibreOffice 5.1 SDK C/C++ API Reference

Classes | Public Member Functions | List of all members
cppu::PartialWeakComponentImplHelper4< Ifc1, Ifc2, Ifc3, Ifc4 > Class Template Reference

Same as WeakComponentImplHelper4, except doesn't implement addEventListener, removeEventListener and dispose. More...

`#include <compbase4.hxx>`

Inheritance diagram for cppu::PartialWeakComponentImplHelper4< Ifc1, Ifc2, Ifc3, Ifc4 >:

## Public Member Functions
| PartialWeakComponentImplHelper4 (::osl::Mutex &rMutex) throw ()
virtual css::uno::Any | queryInterface (css::uno::Type const &rType) SAL_OVERRIDE throw (css::uno::RuntimeException, std::exception)
virtual void | acquire () SAL_OVERRIDE throw ()
virtual void | release () SAL_OVERRIDE throw ()
virtual css::uno::Sequence< css::uno::Type > | getTypes () SAL_OVERRIDE throw (css::uno::RuntimeException, std::exception)
virtual css::uno::Sequence< sal_Int8 > | getImplementationId () SAL_OVERRIDE throw (css::uno::RuntimeException, std::exception)

## Detailed Description

### template<class Ifc1, class Ifc2, class Ifc3, class Ifc4>
class cppu::PartialWeakComponentImplHelper4< Ifc1, Ifc2, Ifc3, Ifc4 >

Same as WeakComponentImplHelper4, except doesn't implement addEventListener, removeEventListener and dispose.

This requires derived classes to implement those three methods. This makes it possible to implement classes which are required to implement methods from multiple bases which have different addEventListener/removeEventListener signatures without triggering the g++ overloaded-virtual warning

## Constructor & Destructor Documentation

## § PartialWeakComponentImplHelper4()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 >

cppu::PartialWeakComponentImplHelper4< Ifc1, Ifc2, Ifc3, Ifc4 >::PartialWeakComponentImplHelper4 | ( | ::osl::Mutex & | rMutex | ) |
throw | ( |
| ) |  |
| inline

## Member Function Documentation

## § acquire()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 >

virtual void cppu::PartialWeakComponentImplHelper4< Ifc1, Ifc2, Ifc3, Ifc4 >::acquire | ( |  | ) |
throw | ( |
| ) |  |
| inlinevirtual

## § getImplementationId()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 >

virtual css::uno::Sequence< sal_Int8 > cppu::PartialWeakComponentImplHelper4< Ifc1, Ifc2, Ifc3, Ifc4 >::getImplementationId | ( |  | ) |
throw | ( | css::uno::RuntimeException,
|  | std::exception
| ) |  |
| inlinevirtual

## § getTypes()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 >

virtual css::uno::Sequence< css::uno::Type > cppu::PartialWeakComponentImplHelper4< Ifc1, Ifc2, Ifc3, Ifc4 >::getTypes | ( |  | ) |
throw | ( | css::uno::RuntimeException,
|  | std::exception
| ) |  |
| inlinevirtual

## § queryInterface()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 >

virtual css::uno::Any cppu::PartialWeakComponentImplHelper4< Ifc1, Ifc2, Ifc3, Ifc4 >::queryInterface | ( | css::uno::Type const & | rType | ) |
throw | ( | css::uno::RuntimeException,
|  | std::exception
| ) |  |
| inlinevirtual

## § release()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 >

virtual void cppu::PartialWeakComponentImplHelper4< Ifc1, Ifc2, Ifc3, Ifc4 >::release | ( |  | ) |
throw | ( |
| ) |  |
| inlinevirtual

The documentation for this class was generated from the following file:

- cppuhelper/compbase4.hxx